using System;
using System.Collections.Generic;

namespace AlicizaX.UI.RecyclerView
{
    public class MixedAdapter : Adapter<IMixedData>
    {
        public MixedAdapter(RecyclerView recyclerView) : base(recyclerView)
        {
        }

        public MixedAdapter(RecyclerView recyclerView, List<IMixedData> list) : base(recyclerView, list)
        {
        }

        public MixedAdapter(RecyclerView recyclerView, List<IMixedData> list, Action<IMixedData> onItemClick) : base(recyclerView, list, onItemClick)
        {
        }

        public override string GetViewName(int index)
        {
            return list[index].TemplateName;
        }
    }

    public interface IMixedData
    {
        string TemplateName { get; set; }
    }

}
